> ## Documentation Index
> Fetch the complete documentation index at: https://docs.minenet.pro/llms.txt
> Use this file to discover all available pages before exploring further.

# Get console history



## OpenAPI

````yaml api-reference/openapi.yaml get /servers/{id}/console
openapi: 3.1.0
info:
  title: Minenet Client API
  version: 1.0.0
  description: >
    Team-scoped API for deployments, servers, snapshots, files, and mod platform
    metadata.


    Authentication:

    - Bearer user token (`mnp_*`)

    - Bearer agent token (`mna_*`)


    Global rate limit: 100 requests/minute per token.
servers:
  - url: https://your-domain.com/api/client/v1
security:
  - bearerAuth: []
tags:
  - name: Deployments
  - name: Servers
  - name: Snapshots
  - name: Files
  - name: Modrinth
  - name: CurseForge
paths:
  /servers/{id}/console:
    get:
      tags:
        - Servers
      summary: Get console history
      operationId: getServerConsole
      parameters:
        - $ref: '#/components/parameters/ServerId'
        - name: size
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 500
            default: 100
      responses:
        '200':
          description: Console output
          content:
            application/json:
              schema:
                type: object
                properties:
                  lines:
                    type: array
                    items:
                      type: string
                  count:
                    type: integer
        '400':
          $ref: '#/components/responses/BadRequest'
        '404':
          $ref: '#/components/responses/NotFound'
        '409':
          description: Server installing
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '502':
          $ref: '#/components/responses/UpstreamError'
components:
  parameters:
    ServerId:
      name: id
      in: path
      required: true
      schema:
        type: string
        format: uuid
      description: Server UUID.
  responses:
    BadRequest:
      description: Invalid request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    NotFound:
      description: Resource not found or unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    UpstreamError:
      description: Upstream provider failure
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  schemas:
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
        code:
          type: string
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: token

````